## com.lowagie.text.pdf
Class PdfRendition

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfRendition

    public class PdfRendition

extends PdfDictionary

A Rendition dictionary (pdf spec 1.5)

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfRendition(java.lang.String file, PdfFileSpecification fs, java.lang.String mimeType)`

Method Summary

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getKeys, isCatalog, isDictionaryType, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfRendition

    PdfRendition(java.lang.String file,
                 PdfFileSpecification fs,
                 java.lang.String mimeType)
           throws java.io.IOException

Throws:
  `java.io.IOException`